Loading...
Searching...
No Matches
event::DataPushService::EntrySettings Struct Reference

Data Push Entry Settings. More...

## Public Attributes

string | url
| Destination host.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certificates
string | caCertChain
| TLS CA certificate chain.
boolean | useAuth
| `true` to use HTTP basic authentication
string | username
| Authentication user name.
string | password
| Password; write-only, empty to leave unchanged.
EntryType | type
| Type of data.
vector< string > | items
| Included items (e.g. list of sensors) depending on type.

## Detailed Description

Data Push Entry Settings.

Definition at line 33 of file DataPushService.idl.

## Member Data Documentation

## allowOffTimeRangeCerts

boolean event::DataPushService::EntrySettings::allowOffTimeRangeCerts

allow expired and not yet valid TLS certificates

Definition at line 35 of file DataPushService.idl.

## caCertChain

string event::DataPushService::EntrySettings::caCertChain

TLS CA certificate chain.

Definition at line 36 of file DataPushService.idl.

## items

vector<string> event::DataPushService::EntrySettings::items

Included items (e.g. list of sensors) depending on type.

Definition at line 41 of file DataPushService.idl.

## password

string event::DataPushService::EntrySettings::password

Password; write-only, empty to leave unchanged.

Definition at line 39 of file DataPushService.idl.

## type

EntryType event::DataPushService::EntrySettings::type

Type of data.

Definition at line 40 of file DataPushService.idl.

## url

string event::DataPushService::EntrySettings::url

Destination host.

Definition at line 34 of file DataPushService.idl.

## useAuth

boolean event::DataPushService::EntrySettings::useAuth

`true` to use HTTP basic authentication

Definition at line 37 of file DataPushService.idl.

## username

string event::DataPushService::EntrySettings::username

Authentication user name.

Definition at line 38 of file DataPushService.idl.

The documentation for this struct was generated from the following file:

- DataPushService.idl